<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Настройки чата';
aut();
head();
levels(7);
who_add(0,'enter');




if(!isset($_GET['nick']) && isset($_SESSION['nick']))$nick = check($_SESSION['nick']);
else{ $nick = check($_GET['nick']);
$_SESSION['nick']=$_GET['nick'];}

if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if (($inf[level]>$user[level])||$user[level]==$inf[level] && $user[id]!=$inf[id])echo 'Доступ закрыт!<br />';
else{

switch($mod){
default:
if ($_GET['i']==1)echo '<b>Изменения сохранены.</b><br />';
if ($_GET['i']==2)echo '<b>Ошибка. Сообщите администрации</b><br />';

echo '<br />&#187; <a href="setting?mod=general">Общее</a><br/>';
echo '&#187; <a href="setting?mod=privacy">Приватность</a><br/>';
echo '&#187; <a href="setting?mod=notify">Оповещения</a><br/>';
echo '&#187; <a href="setting?mod=setting">Настройки чата</a><br/>';
echo '&#187; <a href="setting?mod=bind">Клавиши</a><br/>';
break;

case general:
if (empty($act)){


if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=nikedit&amp;'.SID.'" method="post">';
echo '<b>Изменить Ник</b><br />';
echo 'Ник:<br /><input name="nik" value="'.$inf['user'].'" maxlength="50" emptyok="false"/><br />';
if ($ver=='wml'){
echo '<br /><anchor title="go">Изменить<go href="setting?mod='.$mod.'&amp;act=nikedit&amp;'.SID.'" method="post">';
echo '
<postfield name="nik" value="$nik"/>
</go></anchor>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form>';
}
echo '<dt></dt>';
echo '<b>Ваш номер</b><br />';
echo 'Ваш номер: '.$inf['id'].'<br />
Адрес страницы: http://'.$_SERVER['HTTP_HOST'].'/'.$inf['id'].'<br /><br />';
echo '<dt></dt>';
echo '<b>Часовой пояс</b><br />';

if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=poiasedit&amp;'.SID.'" method="post">';

echo 'Часовой пояс:<br /><select name="poias">
        <option value="180">(GMT +3:00) Москва, Санкт-Петербург</option>
        <option value="-660">(GMT -11:00) Самоа</option>
		<option value="-600">(GMT -10:00) Гавайи</option>
		<option value="-570">(GMT -9:30) Французская Полинезия</option>
		<option value="-540">(GMT -9:00) Аляска</option>
		<option value="-480">(GMT -8:00) Лос-Анджелес</option>
		<option value="-420">(GMT -7:00) Денвер</option>
		<option value="-360">(GMT -6:00) Чикаго</option>
		<option value="-300">(GMT -5:00) Нью-Йорк</option>
		<option value="-240">(GMT -4:00) Каракас</option>
		<option value="-210">(GMT -3:30) Ньюфаундленд</option>
		<option value="-180">(GMT -3:00) Буэнос-Айрес</option>
		<option value="0">(Greenwich) Лондон</option>
		<option value="60">(GMT +1:00) Берлин, Париж</option>
		<option value="120">(GMT +2:00) Киев, Минск, Калининград</option>
		<option value="180">(GMT +3:00) Москва, Санкт-Петербург</option>
		<option value="240">(GMT +4:00) Самара, Ереван</option>
		<option value="270">(GMT +4:30) Кабул</option>
		<option value="300">(GMT +5:00) Екатеринбург, Ташкент</option>
		<option value="330">(GMT +5:30) Дели, Коломбо</option>
		<option value="345">(GMT +5:45) Катманду</option>
		<option value="360">(GMT +6:00) Новосибирск, Алматы</option>
		<option value="390">(GMT +6:30) Янгон</option>
		<option value="420">(GMT +7:00) Красноярск, Бангкок</option>
		<option value="480">(GMT +8:00) Иркутск, Пекин</option>
		<option value="525">(GMT +8:45) Кейгуна, Юкла</option>
		<option value="540">(GMT +9:00) Якутск, Токио</option>
		<option value="570">(GMT +9:30) Аделаида, Дарвин</option>
		<option value="600">(GMT +10:00) Владивосток, Сидней</option>
		<option value="660">(GMT +11:00) Магадан</option>
		<option value="690">(GMT +11:30) Норфолк</option>
		<option value="720">(GMT +12:00) Камчатка</option>
		<option value="765">(GMT +12:45) Чатем</option>
		<option value="780">(GMT +13:00) Тонга</option>
		<option value="840">(GMT +14:00) Острова Лайн</option>
        </select><br/>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Изменить<go href="setting?mod='.$mod.'&amp;act=poiasedit&amp;'.SID.'" method="post">';
echo '
<postfield name="poias" value="$poias"/>
</go></anchor>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form>';
}


}else if ($act == 'nikedit'){
$nik= $_POST['nik'];
if ($inf['translit']==1)$nik = translit($nik);

if ($set['rus']==1){
$lat_nik = rus_to_lat(tolower($nik));
$help = 'В нике цифры разрешено использовать только вместе со знаками латинского или русского алфавита.<br /><br />';
}else{
$lat_nik = tolower($nik);
$help = 'В нике цифры разрешено использовать только вместе со знаками латинского алфавита.<br /><br />';
}

if(ctype_digit($nik))$err = $help;
else if (preg_match("/[^1-9a-zA-Z\-\@\*\(\)\?\!\~\_\=\[\]]+/", $lat_nik))$msg = 'В нике обнаружены запрешенные знаки!<br />';
else if ($nik === "")$err = $emp;
elseif (strpos($nik,"|")!==false)$msg = 'В нике обнаружены запрешенные знаки!<br /><br />';
if (strlen2($nik) < 4) $err = 'Ник не должен содержать менее 4-ёх знаков!<br /><br />';
else if (strlen2($nik) > 15) $err = 'Ник не должен содержать более 15 знаков!<br /><br />';
$runik = rus_to_k($nik);
$db->sql_query ("select * from users where ruser = '".check($runik)."' and id != '".$inf['id']."'");
if (mysql_affected_rows() == 0) {
}else{
$err = 'Указанный вами ник <b>'.$nik.'</b> уже занят, выберите другой<br /><br />';
}
if (empty($err)){

if($db->sql_query('UPDATE `users` SET `user` = "'.check($nik).'", ruser = "'.$runik.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}

}else{
echo $err;
if($mod)echo gb.'<a href="'.H.'my/setting">Настройки чата</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}

}else if ($act == 'poiasedit'){

$poias= check($_POST['poias']);
if($db->sql_query('UPDATE `users` SET `poias` = "'.$poias.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}


}

break;

// Приватность
case privacy:
if (empty($act)){
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';


echo '<br />Кто может писать мне личные сообщения:<br />
<select name="pp_m_s">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

echo 'Кто может смотреть список моих друзей:<br />
<select name="pp_c_fr">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

echo 'Кто может видеть мою стену:<br />
<select name="pp_c_st">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

echo 'Кто может оставлять сообщения у меня на стене:<br />
<select name="pp_st_s">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

echo 'Кто может оставлять оставлять комментарии к фото в анкете:<br />
<select name="pp_f_s">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

/*echo 'Кто может просматривать мои альбомы:<br />
<select name="pp_al">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';

echo 'Кто может оставлять комментарии к фото в альбомах:<br />
<select name="pp_al_k">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';*/

echo 'Кто может видеть мои подарки:<br />
<select name="pp_gifts">
<option value="0">Все пользователи</option>
<option value="1">Только друзья</option>
<option value="2">Никто</option>
</select><br/>';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="pp_m_s" value="$pp_m_s"/>
<postfield name="pp_c_fr" value="$pp_c_fr"/>
<postfield name="pp_c_st" value="$pp_c_st"/>
<postfield name="pp_st_s" value="$pp_st_s"/>
<postfield name="pp_f_s" value="$pp_f_s"/>
<postfield name="pp_al" value="$pp_al"/>
<postfield name="pp_al_k" value="$pp_al_k"/>
<postfield name="pp_gifts" value="$pp_gifts"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$pp1= check($_POST['pp_m_s']);
$pp2= check($_POST['pp_c_fr']);
$pp3= check($_POST['pp_c_st']);
$pp4= check($_POST['pp_st_s']);
$pp5= check($_POST['pp_f_s']);
$pp6= check($_POST['pp_al']);
$pp7= check($_POST['pp_al_k']);
$pp8= check($_POST['pp_gifts']);

if($db->sql_query('UPDATE `users` SET `pp_m_s` = "'.$pp1.'", `pp_c_fr` = "'.$pp2.'", `pp_c_st` = "'.$pp3.'", `pp_st_s` = "'.$pp4.'", `pp_f_s` = "'.$pp5.'", `pp_al` = "'.$pp6.'", `pp_al_k` = "'.$pp7.'", `pp_gifts` = "'.$pp8.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}
}

break;

// Оповещения
case notify:
if (empty($act)){
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

if ($ver=='wml'){
echo '<br />Оповещать, когда Вам предлагают стать друзьями:<br />
<select name="fr_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';

echo 'Оповещать о новых личных сообщениях:<br />
<select name="pm_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';

echo 'Оповещать о новых сообщениях на стене:<br />
<select name="st_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';

echo 'Оповещать, когда комментируют Ваши фотографии:<br />
<select name="ph_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';

/*echo 'Оповещать, когда Вас приглашают в группы:<br />
<select name="gr_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';*/

echo 'Оповещать о подарках:<br />
<select name="gifts_notify">
<option value="1">Да</option>
<option value="0">Нет</option>
</select><br/>';
}else{
if ($inf['fr_notify']==1){
echo '<br />Оповещать, когда Вам предлагают стать друзьями:<br />
<input type="radio" name="fr_notify" value="1" checked/>Да<br />
<input type="radio" name="fr_notify" value="0"/>Нет<br />';
}else{
echo '<br />Оповещать, когда Вам предлагают стать друзьями:<br />
<input type="radio" name="fr_notify" value="1"/>Да<br />
<input type="radio" name="fr_notify" value="0" checked/>Нет<br />';
}
if ($inf['pm_notify']==1){
echo 'Оповещать о новых личных сообщениях:<br />
<input type="radio" name="pm_notify" value="1" checked/>Да<br />
<input type="radio" name="pm_notify" value="0"/>Нет<br />';
}else{
echo 'Оповещать о новых личных сообщениях:<br />
<input type="radio" name="pm_notify" value="1"/>Да<br />
<input type="radio" name="pm_notify" value="0" checked/>Нет<br />';
}
if ($inf['st_notify']==1){
echo 'Оповещать о новых сообщениях на стене:<br />
<input type="radio" name="st_notify" value="1" checked/>Да<br />
<input type="radio" name="st_notify" value="0"/>Нет<br />';
}else{
echo 'Оповещать о новых сообщениях на стене:<br />
<input type="radio" name="st_notify" value="1"/>Да<br />
<input type="radio" name="st_notify" value="0" checked/>Нет<br />';
}
if ($inf['ph_notify']==1){
echo 'Оповещать, когда комментируют Ваши фотографии:<br />
<input type="radio" name="ph_notify" value="1" checked/>Да<br />
<input type="radio" name="ph_notify" value="0"/>Нет<br />';
}else{
echo 'Оповещать, когда комментируют Ваши фотографии:<br />
<input type="radio" name="ph_notify" value="1"/>Да<br />
<input type="radio" name="ph_notify" value="0" checked/>Нет<br />';
}
/*
if ($inf['gr_notify']==1){
echo 'Оповещать, когда Вас приглашают в группы:<br />
<input type="radio" name="gr_notify" value="1" checked/>Да<br />
<input type="radio" name="gr_notify" value="0"/>Нет<br />';
}else{
echo 'Оповещать, когда Вас приглашают в группы:<br />
<input type="radio" name="gr_notify" value="1"/>Да<br />
<input type="radio" name="gr_notify" value="0" checked/>Нет<br />';
}
*/
if ($inf['gifts_notify']==1){
echo 'Оповещать о подарках:<br />
<input type="radio" name="gifts_notify" value="1" checked/>Да<br />
<input type="radio" name="gifts_notify" value="0"/>Нет<br />';
}else{
echo 'Оповещать о подарках:<br />
<input type="radio" name="gifts_notify" value="1"/>Да<br />
<input type="radio" name="gifts_notify" value="0" checked/>Нет<br />';
}

}

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<postfield name="fr_notify" value="$fr_notify"/>
<postfield name="pm_notify" value="$pm_notify"/>
<postfield name="st_notify" value="$st_notify"/>
<postfield name="ph_notify" value="$ph_notify"/>
<postfield name="gr_notify" value="$gr_notify"/>
<postfield name="gifts_notify" value="$gifts_notify"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$nf1= check($_POST['fr_notify']);
$nf2= check($_POST['pm_notify']);
$nf3= check($_POST['st_notify']);
$nf4= check($_POST['ph_notify']);
$nf5= check($_POST['gr_notify']);
$nf6= check($_POST['gifts_notify']);

if($db->sql_query('UPDATE `users` SET `fr_notify` = "'.$nf1.'", `pm_notify` = "'.$nf2.'", `st_notify` = "'.$nf3.'", `ph_notify` = "'.$nf4.'", `gr_notify` = "'.$nf5.'", `gifts_notify` = "'.$nf6.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}
}

break;



// Настройки чата
case setting:
if (empty($act)){
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo '<br />Сообщений на стр.(осн.):<br /><input name="max" value="'.$inf['max'].'" maxlength="2" size="2" emptyok="false"/><br />';

echo '<br />Сообщений на стр.(приват):<br /><input name="max_pr" value="'.$inf['max_pr'].'" maxlength="2" size="2" emptyok="false"/><br />';

echo '<br />Поле ввода (xHTML):<br />Ширина:<input name="pole1" value="'.$inf['pole1'].'" maxlength="2" size="2" emptyok="false"/> Длина:<input name="pole2" value="'.$inf['pole2'].'" maxlength="2" size="2" emptyok="false"/><br />';


echo 'Время автообновления в чате(сек):<br/>
<select name="avr">';
if($inf['avr'] == 10)echo '<option value="10">10</option>';
else if($inf['avr'] == 15)echo '<option value="15">15</option>';
else if($inf['avr'] == 20)echo '<option value="20">20</option>';
else if($inf['avr'] == 25)echo '<option value="25">25</option>';
else if($inf['avr'] == 30)echo '<option value="30">30</option>';
else if($inf['avr'] == 0) echo '<option value="0">Отключить</option>';
echo '<option value="0">Отключить</option>
<option value="10">10</option>
<option value="15">15</option>
<option value="20">20</option>
<option value="25">25</option>
<option value="30">30</option>
</select><br/>';

echo 'X-Статусы:<br/>
<select name="pic_stat">';
if($inf['pic_stat'] == 0)echo '<option value="0">Не показаны</option>';
else if($inf['pic_stat'] == 1)echo '<option value="1">Показаны</option>';
else if($inf['pic_stat'] == 2)echo '<option value="2">Только в xHTML</option>';
else if($inf['pic_stat'] == 3)echo '<option value="3">Только в WML</option>';
echo '<option value="0">Не показаны</option>
<option value="1">Показаны</option>
<option value="2">Только в xHTML</option>
<option value="3">Только в WML</option>
</select><br/>';


echo 'Транслит:<br/>
<select name="translit">';
if ($inf['translit']==0){
echo '<option value="0">Отключен</option>';
echo '<option value="1">Включен</option>';
}else if ($inf['translit']==1){
echo '<option value="1">Включен</option>';
echo '<option value="0">Отключен</option>';
}
echo '</select><br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<postfield name="max" value="$max"/>
<postfield name="max_pr" value="$max_pr"/>
<postfield name="pole1" value="$pole1"/>
<postfield name="pole2" value="$pole2"/>
<postfield name="pic_stat" value="$pic_stat"/>
<postfield name="translit" value="$translit"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$max= check(intval($_POST['max']));
$max_pr= check(intval($_POST['max_pr']));
$pole1= check(intval($_POST['pole1']));
$pole2= check(intval($_POST['pole2']));
$pic_stat= check(intval($_POST['pic_stat']));
$tr= check(intval($_POST['translit']));
$avr0= check(intval($_POST['avr']));

if($db->sql_query('UPDATE `users` SET `max` = "'.$max.'", `max_pr` = "'.$max_pr.'", `pole1` = "'.$pole1.'", `pole2` = "'.$pole2.'", `pic_stat` = "'.$pic_stat.'", `translit` = "'.$tr.'", `avr` = "'.$avr0.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}
}

break;



case bind:

if (empty($act)){
if ($ver!='wml')echo '<form action="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
$bs=explode('|',$inf['binds']);

echo 'Сказать: <input size="1" name="b0" maxlength="1" value="'.$bs[0].'"/><br/>';
echo 'Обновить: <input size="1" name="b1" maxlength="1" value="'.$bs[1].'"/><br/>';


echo 'Кто в комнате?: <input size="1" name="b2" maxlength="1" value="'.$bs[2].'"/><br/>';
echo 'Кто где?: <input size="1" name="b3" maxlength="1" value="'.$bs[3].'"/><br/>';
echo 'Смайлы: <input size="1" name="b4" maxlength="1" value="'.$bs[4].'"/><br/>';
echo 'Сменить Топик: <input size="1" name="b5" maxlength="1" value="'.$bs[5].'"/><br/>';


echo 'История: <input size="1" name="b6" maxlength="1" value="'.$bs[6].'"/><br/>';
echo 'Прихожая: <input size="1" name="b7" maxlength="1" value="'.$bs[7].'"/><br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="setting?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="pas0" value="$pas0"/>
<postfield name="pas1" value="$pas1"/>
<postfield name="pas2" value="$pas2"/>
</go></anchor>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form>';
}

}else{

$b0= check(intval($_POST['b0']));
$b1= check(intval($_POST['b1']));
$b2= check(intval($_POST['b2']));
$b3= check(intval($_POST['b3']));
$b4= check(intval($_POST['b4']));
$b5= check(intval($_POST['b5']));
$b6= check(intval($_POST['b6']));
$b7= check(intval($_POST['b7']));

$binds = $b0.'|'.$b1.'|'.$b2.'|'.$b3.'|'.$b4.'|'.$b5.'|'.$b6.'|'.$b7;

if($db->sql_query('UPDATE `users` SET `binds` = "'.$binds.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: setting?i=1&'.SID);  exit;
}else{
header ('Location: setting?i=2&'.SID);  exit;
}

}
break;


}
}}
echo '<br />';
if($mod)echo gb.'<a href="setting">Настройки чата</a>'.div;
echo gb.'<a href="users">Управление юзерами</a>'.div;
echo gb.'<a href="index">В админку</a><br />'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>

